com.google.gwt.resources.gss

## Class ValidateRuntimeConditionalNode

- java.lang.Object
- - com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
  - - com.google.gwt.resources.gss.ValidateRuntimeConditionalNode

- All Implemented Interfaces:
    com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler, com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass, com.google.gwt.thirdparty.common.css.compiler.ast.CssTreeVisitor

      public class ValidateRuntimeConditionalNode
      extends com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
      implements com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass

  Visitor that validates runtime conditional node.

  Runtime conditional node shouldn't contain any constant definitions nor external at-rule.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidateRuntimeConditionalNode(com.google.gwt.thirdparty.common.css.compiler.ast.VisitController visitController, com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager, boolean lenient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `enterConditionalRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node)`
    `boolean` | `enterDefinition(com.google.gwt.thirdparty.common.css.compiler.ast.CssDefinitionNode node)`
    `boolean` | `enterUnknownAtRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssUnknownAtRuleNode node)`
    `void` | `leaveConditionalRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node)`
    `void` | `runPass()`

    - ### Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor

      `enterArgumentNode, enterAttributeSelector, enterBlock, enterClassSelector, enterCombinator, enterComponent, enterCompositeValueNode, enterCompositeValueNodeOperator, enterConditionalBlock, enterDeclaration, enterDeclarationBlock, enterFontFace, enterForLoop, enterFunctionNode, enterIdSelector, enterImportBlock, enterImportRule, enterKey, enterKeyBlock, enterKeyframeRuleset, enterKeyframesRule, enterMediaRule, enterMediaTypeListDelimiter, enterMixin, enterMixinDefinition, enterPageRule, enterPageSelector, enterPropertyValue, enterProvideNode, enterPseudoClass, enterPseudoElement, enterRequireNode, enterRuleset, enterSelector, enterSelectorBlock, enterTree, enterValueNode, leaveArgumentNode, leaveAttributeSelector, leaveBlock, leaveClassSelector, leaveCombinator, leaveComponent, leaveCompositeValueNode, leaveCompositeValueNodeOperator, leaveConditionalBlock, leaveDeclaration, leaveDeclarationBlock, leaveDefinition, leaveFontFace, leaveForLoop, leaveFunctionNode, leaveIdSelector, leaveImportBlock, leaveImportRule, leaveKey, leaveKeyBlock, leaveKeyframeRuleset, leaveKeyframesRule, leaveMediaRule, leaveMediaTypeListDelimiter, leaveMixin, leaveMixinDefinition, leavePageRule, leavePageSelector, leavePropertyValue, leaveProvideNode, leavePseudoClass, leavePseudoElement, leaveRequireNode, leaveRuleset, leaveSelector, leaveSelectorBlock, leaveTree, leaveUnknownAtRule, leaveValueNode, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidateRuntimeConditionalNode

          public ValidateRuntimeConditionalNode(com.google.gwt.thirdparty.common.css.compiler.ast.VisitController visitController,
                                                com.google.gwt.thirdparty.common.css.compiler.ast.ErrorManager errorManager,
                                                boolean lenient)

  - ### Method Detail

    - #### enterDefinition

          public boolean enterDefinition(com.google.gwt.thirdparty.common.css.compiler.ast.CssDefinitionNode node)

      Specified by:
        `enterDefinition` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler`
      Overrides:
        `enterDefinition` in class `com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor`

    - #### enterUnknownAtRule

          public boolean enterUnknownAtRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssUnknownAtRuleNode node)

      Specified by:
        `enterUnknownAtRule` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler`
      Overrides:
        `enterUnknownAtRule` in class `com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor`

    - #### enterConditionalRule

          public boolean enterConditionalRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node)

      Specified by:
        `enterConditionalRule` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler`
      Overrides:
        `enterConditionalRule` in class `com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor`

    - #### leaveConditionalRule

          public void leaveConditionalRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node)

      Specified by:
        `leaveConditionalRule` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler`
      Overrides:
        `leaveConditionalRule` in class `com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor`

    - #### runPass

          public void runPass()

      Specified by:
        `runPass` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.CssCompilerPass`